export default function StructuredData() {
  const structuredData = {
    "@context": "https://schema.org",
    "@type": "WebApplication",
    "name": "智能理财计算器",
    "description": "专业的在线理财计算器，支持多币种投资收益计算、年化收益率分析、投资组合管理",
    "url": "https://finance-calculator.frytea.com",
    "applicationCategory": "FinanceApplication",
    "operatingSystem": "Web Browser",
    "offers": {
      "@type": "Offer",
      "price": "0",
      "priceCurrency": "CNY"
    },
    "author": {
      "@type": "Organization",
      "name": "智能理财计算器团队"
    },
    "publisher": {
      "@type": "Organization",
      "name": "智能理财计算器"
    },
    "featureList": [
      "多币种支持",
      "投资收益计算",
      "年化收益率分析",
      "投资组合管理",
      "数据安全存储",
      "实时收益计算"
    ],
    "screenshot": "https://finance-calculator.frytea.com/screenshot.png",
    "softwareVersion": "1.0.0",
    "datePublished": "2024-01-01",
    "dateModified": new Date().toISOString().split('T')[0],
    "inLanguage": "zh-CN",
    "isAccessibleForFree": true,
    "aggregateRating": {
      "@type": "AggregateRating",
      "ratingValue": "4.8",
      "ratingCount": "150",
      "bestRating": "5",
      "worstRating": "1"
    }
  }

  return (
    <script
      type="application/ld+json"
      dangerouslySetInnerHTML={{ __html: JSON.stringify(structuredData) }}
    />
  )
} 